if (typeof Proxy === 'function') {
    console.log = new Proxy(console.log, {
        apply: (target, thisArg, args) => {
            target.apply(thisArg, args);

            const li = document.createElement('li');
            li.textContent = args.join(' ');
            const wrapper = document.getElementById('console-list');
            wrapper.appendChild(li);
        }
    });
}

function handler(e) {
    console.log(`${e.type}イベントを検出しました。`);
}

function handler2(e) {
    if (e.keyCode) {
        console.log(`${e.keyCode}が押されました。`);
    }
}
