# WEB+DB PRESS Vol.95「［実装例でわかる！］実践アクセシビリティ」サンプルコード一覧

このサンプルコードのJavaScriptではES2015以降の機能を利用しており、ES2015以降をサポートしていないブラウザでは動作しません。

- [第2章「画像や色の代替コンテンツ」のサンプル](./2_content/index.html)
- [第3章「機械が理解しやすいマークアップ」のサンプル](./3_html/index.html)
- [第4章「アクセシブルなUIの基礎知識」のサンプル](./4_interaction_1/index.html)
- [第5章「デバイスに共通した操作の実装」のサンプル](./5_interaction_2/index.html)
- 第6章「各デバイスに特化した操作の実装」にするのサンプル
    - [スライドショーでの実装例](./6_intraction_3/slideshow/slideshow.html)
    - [カレンダーでの実装例（キーボード操作非対応）](./6_intraction_3/datepicker/datepicker_mouse.html)
    - [カレンダーでの実装例（キーボード操作対応）](./6_intraction_3/datepicker/datepicker.html)
